Name:          java3d
Version:       1.5.2
Release:       %mkrel 3
Summary:       The Java 3D API
Group:         Development/Java
URL:           https://java3d.dev.java.net/
# svn export https://svn.java.net/svn/j3d-core~svn/tags/rel-1_5_2-fcs j3d-core-1.5.2
# tar czf j3d-core-1.5.2-src-svn.tar.gz j3d-core
Source0:       j3d-core-%{version}-src-svn.tar.gz
# http://java.net/projects/j3d-core-utils
# svn export https://svn.java.net/svn/j3d-core-utils~svn/tags/rel-1_5_2-fcs j3d-core-utils
# tar czf j3d-core-utils-1.5.2-src-svn.tar.gz j3d-core-utils
Source1:       j3d-core-utils-%{version}-src-svn.tar.gz
# http://java.net/projects/vecmath
# svn export https://svn.java.net/svn/vecmath~svn/tags/rel-1_5_2-fcs vecmath
# tar czf vecmath-1.5.2-src-svn.tar.gz vecmath
Source2:       vecmath-%{version}-src-svn.tar.gz
# http://java.net/projects/vecmath-test
# svn export https://svn.java.net/svn/vecmath-test~svn/tags/rel-1_5_2-fcs vecmath-test
# tar czf vecmath-test-1.5.2-src-svn.tar.gz vecmath-test
Source3:       vecmath-test-%{version}-src-svn.tar.gz
# svn export https://svn.java.net/svn/j3d-optional-utils~svn/tags/rel-1_5_2-fcs j3d-optional-utils
# tar czf j3d-optional-utils-1.5.2-src-svn.tar.gz j3d-optional-utils
Source4:       j3d-optional-utils-%{version}-src-svn.tar.gz
# svn export https://svn.java.net/svn/j3d-examples~svn/tags/rel-1_5_2-fcs j3d-examples
# tar czf j3d-examples-1.5.2-src-svn.tar.gz j3d-examples
Source5:       j3d-examples-%{version}-src-svn.tar.gz
Patch0:        01_fix_powerpc_ftbfs.patch
Patch1:        02_fix_generic_ftbfs.patch
Patch2:        03_fix_ia64_ftbfs.patch
Patch3:        04_no_maxmemory.patch
Patch4:        05_pic_amd64.patch
Patch5:        05_pic_i586.patch
Patch6:        06_java-compat.patch
License:       BSD, GPL
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: glibc-devel
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: libmesagl-devel
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: junit4
BuildRequires: ant-junit
BuildRequires: libxt-devel
BuildRequires: vecmath15
Requires:      java
Requires:      jpackage-utils
Provides:      j3dcore == %{version}
Provides:      j3dutils == %{version}

%description
The Java 3D API provides a set of object-oriented interfaces that
support a simple, high-level programming model you can use to
build, render, and control the behavior of 3D objects and visual
environments. With the Java 3D API, you can incorporate high quality,
scalable, platform-independent 3D graphics into applications andvecmath
applets based on Java technology.

%package examples
# http://java.net/projects/j3d-examples
Group:         Development/Java
Summary:       Java 3D Example Programs
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description examples
The Java 3D API.

This package contains Java 3D Example Programs.

%package optional-utils
# http://java.net/projects/j3d-optional-utils
Group:         Development/Java
Summary:       Java 3D Optional Utilities
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description optional-utils
The Java 3D API.

This package contains Java 3D Optional Utilities.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
The Java 3D API.

This package contains javadoc for %{name}

%prep

%setup -q -T -c -n %{name}-%{version}
# core
tar xf %{SOURCE0}
# core-utils
tar xf %{SOURCE1}
# vecmath
tar xf %{SOURCE2}
# vecmath-test
tar xf %{SOURCE3}
# optional-utils
#tar xf %{SOURCE4}
# examples
tar xf %{SOURCE5}

%apply_patches

for j in $(find . -name "*.jar"); do 
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -f $c
done

%build


pushd vecmath
  %ant -Dant.javadoc.maxmemory=512m jar-opt
popd

export CLASSPATH=$(build-classpath junit)
pushd vecmath-test
  %ant test
popd

export ANT_OPTS=-Xmx256m
pushd j3d-core
export CLASSPATH=$PWD/vecmath/build/opt/lib/ext/vecmath.jar:$PWD/j3d-core/build/default/opt/lib/ext/j3dcore.jar:junit.jar
  %ant \
  	-Dant.javadoc.maxmemory=512m \
    -Dbuild.type=stable \
    jar-opt docs-public
popd

export CLASSPATH=$PWD/vecmath/build/opt/lib/ext/vecmath.jar:$PWD/j3d-core/build/default/opt/lib/ext/j3dcore.jar:junit.jar

# TODO require JOAL http://java.net/projects/joal/ and OpenAL
#pushd j3d-optional-utils
#  %ant dist
#popd

CLASSPATH=$CLASSPATH:$PWD/j3d-core/build/default/opt/lib/ext/j3dutils.jar
pushd j3d-examples
  %ant all
popd


%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}/java3d
mkdir -p %{buildroot}%{_libdir}

install -m 644 vecmath/build/opt/lib/ext/vecmath.jar \
    %{buildroot}%{_javadir}/java3d/vecmath-%{version}.jar
install -m 644 j3d-core/build/default/opt/lib/ext/j3dcore.jar \
    %{buildroot}%{_javadir}/java3d/j3dcore-%{version}.jar
install -m 644 j3d-core/build/default/opt/lib/ext/j3dutils.jar \
    %{buildroot}%{_javadir}/java3d/j3dutils-%{version}.jar
#install -m 644 j3d-optional-utils/joalmixer/build/lib/ext/joalmixer.jar\
#    %{buildroot}%{_javadir}/java3d/
install -m 644 j3d-examples/dist/j3d-examples.jar\
    %{buildroot}%{_javadir}/java3d/

(
  cd %{buildroot}%{_javadir}/java3d
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

# TODO build libj3dcore-ogl-cg.so require NVDIA CG Toolkit
install -m 755 j3d-core/build/default/opt/native/libj3dcore-ogl.so \
    %{buildroot}%{_libdir}/libj3dcore-ogl.so

mkdir -p %{buildroot}%{_javadocdir}/java3d-%{version}
cp -a j3d-core/build/*/javadocs/docs-public/* %{buildroot}%{_javadocdir}/java3d-%{version}
ln -s java3d-%{version} %{buildroot}%{_javadocdir}/java3d

%files
%defattr(-,root,root)
%dir %{_javadir}/java3d
%{_javadir}/java3d/j3dcore-%{version}.jar
%{_javadir}/java3d/j3dcore.jar
%{_javadir}/java3d/j3dutils-%{version}.jar
%{_javadir}/java3d/j3dutils.jar
%{_javadir}/java3d/vecmath-%{version}.jar
%{_javadir}/java3d/vecmath.jar
%{_libdir}/libj3dcore-ogl.so
%doc j3d-core/*.txt j3d-core/*.html j3d-core/docs

%files examples
%defattr(-,root,root)
%{_javadir}/java3d/j3d-examples.jar
%doc j3d-examples/*.txt j3d-examples/*.html

#%files optional-utils
#%defattr(-,root,root)
#%{_javadir}/java3d/joalmixer.jar
#%doc j3d-optional-utils/*.txt j3d-optional-utils/joalmixer/README.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/java3d-%{version}
%{_javadocdir}/java3d



%changelog

* Mon Feb 18 2013 dmorgan <dmorgan> 1.5.2-3.mga3
+ Revision: 399020
- Add debian patches to fix build with java7

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 16 2011 dmorgan <dmorgan> 1.5.2-2.mga2
+ Revision: 168044
- Remove dupplicate %%changelog entry ( mga #3356)
- Fix group
- Add Buildrequire for native build
- Fix buildrequires
- Fix typo in classpath
- Try to fix build
- Remove unused rpm macros
- Cleaning in find
- More CLASSPATH fixes
- try to clean CLASSPATH
- Fix buildRequires
- Fix CLASSPATH ( from gil)
- Fix buildrequires
- Remove double %%prep
- Fix buildrequires

  + gil <gil>
    - added new sub package examples
    - imported package java3d

